# Description:
#   Enable again the 'mattermost-attachment' event
#
# Environment:
#   MATTERMOST_INCOME_URL


module.exports = (robot) ->
  options =
    webhook: process.env.MATTERMOST_INCOME_URL

  return robot.logger.error "Missing configuration MATTERMOST_INCOME_URL" unless options.webhook?


  getUsername = (data) ->
    data.username || robot.name

  attachment = (data) ->
    #payload = data.content

    console.info "============pass data========"+JSON.stringify(data)
    reqbody = JSON.stringify(data)

    robot.http(options.webhook)
      .header("Content-Type", "application/json")
      .post(reqbody) (err, res, body) ->
        return if res.statusCode == 200

        robot.logger.error "Error!", res.statusCode, body

  robot.on "mattermost-attachment", (data) ->
    robot.logger.warning "Using deprecated event 'mattermost-attachment'"
    attachment data

  robot.on "mattermost.attachment", (data) ->
    attachment data
